%define	upstream_name MD5
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
Summary:	The Perl interface to the RSA Message Digest Algorithm
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org//pub/CPAN/modules/by-module/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%description
The perl-MD5 package provides the MD5 module for the Perl
programming language.  MD5 is a Perl interface to the RSA Data
Security Inc. Message Digest Algorithm, which allows Perl
programs to use the algorithm.

The perl-MD5 package should be installed if any Perl programs
on your system are going to use RSA's Message Digest Algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%__perl Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make

%install
%make_install
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc MANIFEST README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.30.0-4pclos2017
- rebuild against updates

